CachedMethod (Groovy 4.0.15)

Package: org.codehaus.groovy.reflection

## [Java] Class CachedMethod

- org.codehaus.groovy.reflection.CachedMethod

- All Implemented Interfaces and Traits:
    Comparable

      @SuppressWarnings("rawtypes")
      public class CachedMethod
      extends MetaMethod
      implements Comparable

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static CachedMethod[]` | `EMPTY_ARRAY` |
    `CachedClass` | `cachedClass` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MetaMethod` | `EMPTY_ARRAY`
    `class ParameterTypes` | `isVargsMethod, nativeParamTypes, parameterTypes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CachedMethod(CachedClass clazz, Method method)`
    `CachedMethod(Method method)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `canAccessLegally(Class<?> callerClass)`
    `` | `public int` | `compareTo(Object other)`
    `` | `public CallSite` | `createPogoMetaMethodSite(CallSite site, MetaClassImpl metaClass, Class[] params)`
    `` | `public CallSite` | `createPojoMetaMethodSite(CallSite site, MetaClassImpl metaClass, Class[] params)`
    `` | `public CallSite` | `createStaticMetaMethodSite(CallSite site, MetaClassImpl metaClass, Class[] params)`
    `` | `public boolean` | `equals(Object other)`
    `` | `public static CachedMethod` | `find(Method method)`
    `<T extends Annotation>` | `public T` | `getAnnotation(Class<T> annotationClass)`
    `` | `public Method` | `getCachedMethod()`
    `` | `public CachedClass` | `getDeclaringClass()`
    `` | `public String` | `getDescriptor()`
    `` | `public int` | `getModifiers()`
    `` | `public String` | `getName()`
    `` | `public Class[]` | `getPT()`
    `` | `public ParameterTypes` | `getParamTypes()`
    `` | `public int` | `getParamsCount()`
    `` | `public Class` | `getReturnType()`
    `` | `public String` | `getSignature()`
    `` | `public CachedMethod` | `getTransformedMethod()`
    `` | `public int` | `hashCode()`
    `` | `public final Object` | `invoke(Object object, Object[] arguments)`
    `` | `public boolean` | `isStatic()`
    `` | `public boolean` | `isSynthetic()`
    `` | `public final Method` | `setAccessible()`
    `` | `public void` | `setTransformedMethod(CachedMethod transformedMethod)`
    `` | `public String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MetaMethod` | `checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isDefault, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`
    `class ParameterTypes` | `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

- - ### Field Detail

    - #### public static final CachedMethod[] EMPTY_ARRAY

    - #### public final CachedClass cachedClass

  - ### Constructor Detail

    - #### public CachedMethod(CachedClass clazz, Method method)

    - #### public CachedMethod(Method method)

  - ### Method Detail

    - #### public boolean canAccessLegally(Class<?> callerClass)

    - #### @Override
      public int compareTo(Object other)

    - #### public CallSite createPogoMetaMethodSite(CallSite site, MetaClassImpl metaClass, Class[] params)

    - #### public CallSite createPojoMetaMethodSite(CallSite site, MetaClassImpl metaClass, Class[] params)

    - #### public CallSite createStaticMetaMethodSite(CallSite site, MetaClassImpl metaClass, Class[] params)

    - #### @Override
      public boolean equals(Object other)

    - #### public static CachedMethod find(Method method)

    - #### <T extends Annotation> public T getAnnotation(Class<T> annotationClass)

    - #### public Method getCachedMethod()

    - #### @Override
      public CachedClass getDeclaringClass()

    - #### @Override
      public String getDescriptor()

    - #### @Override
      public int getModifiers()

    - #### @Override
      public String getName()

    - #### @Override
      public Class[] getPT()

    - #### public ParameterTypes getParamTypes()

    - #### public int getParamsCount()

    - #### @Override
      public Class getReturnType()

    - #### @Override
      public String getSignature()

    - #### public CachedMethod getTransformedMethod()

    - #### @Override
      public int hashCode()

    - #### @Override
      public final Object invoke(Object object, Object[] arguments)

    - #### @Override
      public boolean isStatic()

    - #### public boolean isSynthetic()

    - #### public final Method setAccessible()

    - #### public void setTransformedMethod(CachedMethod transformedMethod)

    - #### @Override
      public String toString()